#include <signal.h>

void multisig( int sig, void (*handler)(int) )
{
  struct sigaction sig_act;
  
  sig_act.sa_handler = handler;
  sig_act.sa_mask = 0;
  sig_act.sa_flags = SA_NOMASK;
  sig_act.sa_restorer = NULL;
  
  sigaction( sig, &sig_act, NULL );
}
